#CONFIGURE & MAKE
#----------------------------------------------------------------------
# If you are building a KDE-related app, then change the following
# arguments in the script below:
# --prefix=$(kde-config -prefix) \\
# --sysconfdir=/etc/kde \\
#
# Making these changes will ensure that your package will build in the
# correct path and that it will work seamlessly within the KDE environment.
#
#-----------------------------------------------------------------------

echo "Configuring source..."

#mkdir -p build
#cd build || exit 1

# Build
cmake . -DCMAKE_INSTALL_PREFIX:PATH=/usr \
	-DBUILD_SHARED_LIBS:BOOL=ON \
	-DLIBRARY_OUTPUT_PATH:PATH=/usr/lib${LIBDIRSUFFIX} \
	-DSYSCONFDIR:PATH=/etc \
	$CONFIG_OPTIONS || exit 1

make VERBOSE=1 || exit 1
make install DESTDIR=$PKG || exit 1
