#CONFIGURE & MAKE
#----------------------------------------------------------------------
# If you are building a KDE-related app, then change the following
# arguments in the script below:
# --prefix=\$(kde-config -prefix) \\
# --sysconfdir=/etc/kde \\
#
# Making these changes will ensure that your package will build in the
# correct path and that it will work seamlessly within the KDE environment.
#
#-----------------------------------------------------------------------

echo "Configuring source..."

perl Makefile.PL || exit 1
make || exit 1
make test || exit 1
make install DESTDIR=$PKG || exit 1
#this next part should be done for all perl pkgs
PERLDIR=$(grep ^INSTALLARCHLIB Makefile|cut -d " " -f3)
# create and add our first line
cat >> $PKG/install/doinst.sh << FOE
cat >> $PERLDIR/perllocal.pod << EOF
FOE
# Now copy contents of .pod of this package to next line
cat $PKG/$PERLDIR/perllocal.pod >> $PKG/install/doinst.sh
# Okay it's done, now add final closing EOF to doinst.sh
cat >> $PKG/install/doinst.sh << FOE
EOF
FOE
# Confused yet?  I am.  Done making the doinst.sh Now remove .pod
rm $PKG/$PERLDIR/perllocal.pod

